<?php

	if ( post_password_required() ) { ?>
		<p class="alert"><?php esc_html_e('This post is password protected. Enter the password to view comments.', 'lawyers')?></p>
	<?php
		return;
	}
?>

<!-- You can start editing here. -->

<?php if ( have_comments() ) : ?>

<div id="comments" class="comm-title">
<h4 class="widgettitle"><?php comments_number(esc_html__('No Comments', 'lawyers'), esc_html__('1 Comment', 'lawyers'), esc_html__('% Comments', 'lawyers') );?></h4>
</div>

	<ol class="commentlist">
	<?php wp_list_comments( array( 'callback' => 'lawyers_custom_comments' )); ?>
	</ol>
    
 <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : ?>
            <nav role="navigation" id="comment-nav-above" class="site-navigation comment-navigation">
                <div class="nav-previous"><?php previous_comments_link(  esc_html__( '&larr; Older Comments', 'lawyers' ) ); ?></div>
                <div class="nav-next"><?php next_comments_link( esc_html__( 'Newer Comments &rarr;', 'lawyers' ) ); ?></div>
            </nav><!-- /coment-nav-above -->
            <?php endif; ?>

<?php else : // this is displayed if there are no comments so far ?>

	<?php if ( comments_open() ) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		
	<?php endif; ?>
<?php endif; ?>


<?php if ( comments_open() ) : ?>

<div id="respond">

<?php

comment_form( array(
	'title_reply' => '<div class="comm-title"><h4 class="widgettitle">'.esc_html__('Leave a Comment', 'lawyers').'</h4></div>',

	'fields' => array(
		'author' => '<p><input type="text" name="author" id="author" class="comm-field"  value="" placeholder="'.esc_attr__('Name', 'lawyers').'" size="22" tabindex="1"/></p>',
		'email'  => '<p><input type="text" name="email" id="email" class="comm-field" value="" placeholder="'.esc_attr__('Email', 'lawyers').'" size="22" tabindex="2" /></p>',
		'url'    => null,
	),
	'comment_notes_before' => '',
	'comment_field' => '<p><textarea name="comment" id="msg-contact" placeholder="'.esc_attr__('Comment', 'lawyers').'" rows="7" tabindex="3"></textarea></p>',
	'comment_notes_after' => false,
	'label_submit'      => esc_html__( 'Submit Comment', 'lawyers')

) ); 

?>

</div>

<?php endif; // if you delete this the sky will fall on your head ?>