<?php 

function lawyers_customizer_css() {

	$custom_css = '';
	$body_styles = '';
	$text_color = '';
	
	// start body
	
	$mt_body_font = get_theme_mod( 'mt_body_font', 'Open Sans');
$mt_body_size2 = get_theme_mod('mt_body_size2','16');
$mt_body_text_color = get_theme_mod('mt_body_text_color', '#707070');

$background_color = get_background_color();
	
	$body_styles .= 'font-family: ' . $mt_body_font . ';';
	$body_styles .= 'font-size: ' . $mt_body_size2 . 'px;';
	$body_styles .= 'color: ' . $mt_body_text_color . ';';
		
	$body_styles = 'body{' .$body_styles. '}';
	
	$custom_css .= $body_styles;
	
	$mt_headers_family = get_theme_mod('mt_headers_family', 'Crimson Text');
	
	$custom_css .= 'h1,h2,h3,h4,h5,h6, .logo, blockquote, .elementor-testimonial-content{font-family:'.$mt_headers_family.';}';
	
	// link color
	$mt_link_primary = get_theme_mod('mt_link_primary', '#ff6666');
	
	$custom_css .= '.pcolor, .pcolori .elementor-icon, a, a:hover, .intro-big-italic, .section-title, .single-subtitle, .practice-icon, .circle-icon, .view-more a:hover, .lawyer-social li a, .faq-title a:hover, .active a, .blog-title a:hover, .articles-title a:hover, .blog-date li i, .blog-date li a:hover, .blog-button a, .widget_categories ul li a:hover, .widget_archive ul li a:hover, .widget_recent_entries ul li a:hover, .widget_categories ul li:before, .widget_archive ul li:before, .widget_recent_entries ul li:before, .widget_tag_cloud a:hover, .tagcloud a:hover, .contact-right ul li span, #submit-evaluation, #submit-contact, #submit, .footer-social li a:hover, .page-numbers, .scrollup i, .social-media li a:hover, .meta-categ a:hover, .practice-title-v2 a:hover, .lawyer-position, .lawyer-title a:hover, .heading-subtitle, .list-items li:before, .heading-title.pcolor h2, .heading-title.pcolor h3, .heading-title.pcolor h4{color:'.$mt_link_primary.';}';
	
	$custom_css .= '.page-head, .owl-theme .owl-dots .owl-dot span, .section-title:before, .practice-item:hover, .circle-icon:hover, .view-more a, .lawyer:after, .lawyer-social li a:hover, .about-section:after, .case:after, .blog-button a:hover, .widget_tag_cloud a, .tagcloud a, #submit-evaluation:hover, #submit-contact:hover, #submit:hover, .page-numbers:hover, .current-page, .current-page:hover, .info-circle, .meta-categ a, .tags-single-page a, .practice-circle, .elementor-button, .post-image-v2:after{background-color:'.$mt_link_primary.';}';
	
	$custom_css .= '.practice-item, .view-more a, .lawyer-social li a, .circle-icon, .blog-button a, .widget_tag_cloud a, .tagcloud a, #submit-evaluation, #submit-contact, #submit, .page-numbers, .page-numbers:hover, .page-numbers:hover, .current-page, .current-page:hover, .meta-categ a, .heading-subtitle, .elementor-button{border-color:'.$mt_link_primary.';}';
	
	$custom_css .= '.heading-subtitle span, .elementor-button.elementor-size-sm:hover{color:'.$mt_link_primary.'; border-color:'.$mt_link_primary.';}';
	
	$custom_css .= '.pcolori svg path{ fill:'.$mt_link_primary.';}';	
	
	
	//text color
	
	$custom_css .= '.widget_categories ul li a, .widget_archive ul li a, .widget_recent_entries ul li a{color:'.$mt_body_text_color.';}';
	
	// headings size
	$mt_h1_size = get_theme_mod( 'mt_h1_size');
	if (!empty($mt_h1_size)){ $custom_css .= 'h1{font-size:'.$mt_h1_size.'px;}'; }
	
	$mt_h2_size = get_theme_mod( 'mt_h2_size');
	if (!empty($mt_h2_size)){ $custom_css .= 'h2{font-size:'.$mt_h2_size.'px;}'; }
	
	$mt_h3_size = get_theme_mod( 'mt_h3_size');
	if (!empty($mt_h3_size)){ $custom_css .= 'h3{font-size:'.$mt_h3_size.'px;}'; }
	
	$mt_h4_size = get_theme_mod( 'mt_h4_size');
	if (!empty($mt_h4_size)){ $custom_css .= 'h4{font-size:'.$mt_h4_size.'px;}'; }
	
	$mt_h5_size = get_theme_mod( 'mt_h5_size');
	if (!empty($mt_h5_size)){ $custom_css .= 'h5{font-size:'.$mt_h5_size.'px;}'; }
	
	$mt_h6_size = get_theme_mod( 'mt_h6_size');
	if (!empty($mt_h6_size)){ $custom_css .= 'h6{font-size:'.$mt_h6_size.'px;}'; }
	
	//header
	$mt_header_bkg_color = get_theme_mod('mt_header_bkg_color', '#212D3A');
	
	$custom_css .= '#header-bar, .menu-nav ul, .scrollup i, .mobile-menu-holder{background:'.$mt_header_bkg_color.';}';
	$custom_css .= '.header-info .fa-phone-alt, .header-info .fa-envelope{color:'.$mt_header_bkg_color.';}';
	
	//heavy color
	$mt_heavy_color = get_theme_mod('mt_heavy_color', '#252525');
	
	$custom_css .= 'h1, h2, h3, h4, h5, h6, blockquote, .intro-msg, .practice-title, .circle-title, .small-title, .lawyer-title, .testimonial-client strong, .lawyer-bio h3, .about-title h3, .faq-title a, .case-2col-title, .case-1col-title, .blog-title, .practice-single-page-title, .blog-title a, .articles-title a, .widgettitle, .single-page-tags, .comment-author cite, .comment-author .author a:link, #contact-form-holder label{color:'.$mt_heavy_color.';}';
	
	//menu
	$mt_menu_item_normal_color = get_theme_mod('mt_menu_item_normal_color', '#ffffff');
    $mt_menu_item_hover_color = get_theme_mod('mt_menu_item_hover_color', '#ff6666');
	
	$custom_css .= '.menu-nav li a, .menu-mobile li a{color:'.$mt_menu_item_normal_color.';}';
	$custom_css .= '.menu-nav li a:hover, .menu-nav li.current-menu-item .sub-menu li a:hover, .menu-mobile li:hover > a, .menu-mobile li.current-menu-item > a{color:'.$mt_menu_item_hover_color.';}';
	$custom_css .= '.menu-nav li.current-menu-item > a, .menu-nav > li.current-menu-ancestor > a{color:'.$mt_menu_item_hover_color.';border:1px solid '.$mt_menu_item_hover_color.';}';
	$custom_css .= '.menu-nav > li.current-menu-ancestor .sub-menu li.current-menu-ancestor > a, .sub-menu li.current-menu-item > a{color:'.$mt_menu_item_hover_color.';border:none;}';
	
	//slider
	$mt_slider_caption_color = get_theme_mod('mt_slider_caption_color', '#ffffff');
	
	$custom_css .= '.slider-caption{color:'.$mt_slider_caption_color.';}';

	// pages title color
	$mt_pages_title_color = get_theme_mod('mt_pages_title_color', '#ffffff');
	
	if (!empty($mt_pages_title_color)){
	
	$custom_css .= '.page-head, .page-title{color:'.$mt_pages_title_color.';}';
	$custom_css .= '.post-subtitle:before{background:'.$mt_pages_title_color.';}';
	
	}
	
	//footer
	
$mt_footer_bkg_color = get_theme_mod('mt_footer_bkg_color', '#212D3A');
$mt_footer_text_color = get_theme_mod('mt_footer_text_color', '#ffffff');
$mt_footer_widget_title_color = get_theme_mod('mt_footer_widget_title_color', '#ffffff');
$mt_footer_social_normal_color = get_theme_mod('mt_footer_social_normal_color', '#ffffff');

	$custom_css .= '#footer-var1, #footer-var2{background:'.$mt_footer_bkg_color.';color:'.$mt_footer_text_color.';}';
	$custom_css .= '.foo-block .widgettitle{color:'.$mt_footer_widget_title_color.';}';
	$custom_css .= '.footer-social li a{color:'.$mt_footer_social_normal_color.';}';
	
	// custom css
	
	$custom_css .= 'a.btn-white{color:#404040;}';	

	if ( is_admin_bar_showing() ) { $custom_css .= '.nav-fixed-top{top:32px;}'; }
	
	wp_add_inline_style( 'lawyers-style', $custom_css );
	
}

add_action( 'wp_enqueue_scripts', 'lawyers_customizer_css', 99);
?>