<!DOCTYPE html>
<html <?php language_attributes(); ?>>
   <head>
      <meta charset="<?php bloginfo( 'charset' ); ?>">
      <meta name="viewport" content="width=device-width, initial-scale=1.0">
      <?php wp_head(); ?>     
   </head>
   <body <?php body_class(); ?> >
   <?php wp_body_open(); ?>
   
   <?php $mt_top_header_display = get_theme_mod( 'mt_top_header_display', 'mt_top_header_display_1'); 
               switch ($mt_top_header_display) {
               case 'mt_top_header_display_1':
               get_template_part('include/assets/section', 'header1');
                   break;
               case 'mt_top_header_display_2':
               get_template_part('include/assets/section', 'header2');
                   break;
				case 'mt_top_header_display_3':
               get_template_part('include/assets/section', 'header3');
                   break;  
				case 'mt_top_header_display_4':
               get_template_part('include/assets/section', 'header4');
                   break;   
				case 'mt_top_header_display_5':
               get_template_part('include/assets/section', 'header5');
                   break;   
				default:
		         get_template_part('include/assets/section', 'header1');		
               }
               
               ?>