<?php
/*
 
 Template Name: Home Elementor
 
 */

get_header(); ?>

<?php $mt_slides = get_theme_mod( 'mt_slides', array() );
	$match_home_top = get_theme_mod( 'match_home_top', 'match_home_top_slider');
	
if ( $match_home_top == 'match_home_top_slider'):	

 if (!empty($mt_slides) ): ?>

<div class="slider-container">
<div class="owl-carousel owl-theme home-slider">

<?php foreach( $mt_slides as $mt_slide ): ?>   

      <div class="slider-post slider-item-box">
	  
	  <?php $mt_slide_img = wp_get_attachment_image_src( $mt_slide['mt_slide_image'] , 'full' ); ?>
        
     <img class="img-fluid" src="<?php echo esc_url( $mt_slide_img[0] ); ?>" width="<?php echo esc_attr( $mt_slide_img[1] ); ?>" height="<?php echo esc_attr( $mt_slide_img[2] ); ?>" />

	 <div class="slider-caption">
    
   <div class="slider-text"><?php echo wp_kses_post( $mt_slide['mt_slide_text'] ); ?></div>
   
     </div><!--slider-caption-->

   </div>

<?php endforeach; ?>

</div>
</div>

<?php endif; ?>

<?php else: ?>  

 <?php $match_video_url = get_theme_mod( 'match_video_url', '');
 $match_video_text = get_theme_mod( 'match_video_text', '');
 $match_video_img = get_theme_mod( 'match_video_img', '');
 
if (!empty($match_video_url) ):

 ?>
    
<div class="video-container">
<video id="video" class="video" preload="metadata" playsinline autoplay muted loop poster="<?php echo esc_url($match_video_img); ?>">
<source src="<?php echo esc_url( $match_video_url ); ?>" type="video/mp4">
</video>

<div class="slider-caption">
            <div class="slider-text"><?php echo wp_kses_post( $match_video_text ); ?></div>
         </div>
		 
</div>

 <?php else: ?>
 
 <p class="alignc margin-t108"><?php esc_html_e( 'Add a video URL in Appearance > Customize > Home Slider > Home - Video URL option', 'lawyers' ); ?></p>

 <?php endif; ?>

<?php endif; ?>

<div class="home-page-content">

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<div id="post-<?php the_ID(); ?>" class="page-holder custom-page-template page-full fullscreen-page clearfix">

<?php the_content(); ?>

</div>
<?php  endwhile;

else: ?>

<p class="alignc"><?php esc_html_e( 'Sorry, but it seems we can&rsquo;t find what you&rsquo;re looking for. Try the menu above.', 'lawyers' ); ?></p>

<?php endif; ?>

</div>

<?php get_footer(); ?>