<?php get_header(); ?>

<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' ); ?>

<?php $mt_page_subtitle = get_post_meta($post->ID, "mt_gallery_subtitle", true); ?>

 <div class="page-head <?php if(empty($image)):?> topnoimg <?php endif;?>" <?php if(!empty($image)):?> style="background-image:url('<?php echo esc_url($image[0]); ?>');" <?php endif;?>>
	
	<div class="inner-desc">
		<div class="container">
		<h1 class="page-title"><?php the_title();?></h1>
		
		<?php if (!empty($mt_page_subtitle)) :?>

<p><?php echo esc_html($mt_page_subtitle) ;?></p>

 <?php endif; ?>
		</div>
	</div>
	
</div> 

<div class="page-content">

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<div id="post-<?php the_ID(); ?>" class="page-holder custom-page-template page-full fullscreen-page clearfix">

<?php the_content(); ?>

</div>
<?php  endwhile;

else: ?>

<p class="alignc"><?php esc_html_e( 'Sorry, but it seems we can&rsquo;t find what you&rsquo;re looking for. Try the menu above.', 'lawyers' ); ?></p>

<?php endif; ?>

</div>

<?php $mt_gallery_template = get_post_meta($post->ID, "mt_gallery_template", true);

	switch ($mt_gallery_template) {
    	
	case 'mt_gallery_2cols':
        get_template_part('include/assets/gallery/gallery', '2cols');
        break;
		
	case 'mt_gallery_3cols':
         get_template_part('include/assets/gallery/gallery', '3cols');
        break;
		
	case 'mt_gallery_4cols':
          get_template_part('include/assets/gallery/gallery', '4cols');
		 break;
	
	default:
          get_template_part('include/assets/gallery/gallery', '3cols');
}

?>

<?php get_footer(); ?>