<?php $mt_footer_title = get_theme_mod( 'mt_footer_title', 'Free Case Evaluation'); 
	$mt_footer_subtitle = get_theme_mod( 'mt_footer_subtitle', 'Fill out the form to receive a free confidential consultation'); 
	$mt_footer_copy = get_theme_mod( 'mt_footer_copy', '&copy; Lawyers. Designed by MatchThemes.'); 


	$mt_social_facebook_url = get_theme_mod( 'mt_social_facebook_url');
         $mt_social_twitter_url = get_theme_mod( 'mt_social_twitter_url');
         $mt_social_linkedin_url = get_theme_mod( 'mt_social_linkedin_url');
         $mt_social_pinterest_url = get_theme_mod( 'mt_social_pinterest_url');  
         $mt_social_youtube_url = get_theme_mod( 'mt_social_youtube_url'); 
         $mt_social_vimeo_url = get_theme_mod( 'mt_social_vimeo_url');
         $mt_social_instagram_url = get_theme_mod( 'mt_social_instagram_url');
         $mt_social_dribbble_url = get_theme_mod( 'mt_social_dribbble_url');  
         $mt_social_skype_url = get_theme_mod( 'mt_social_skype_url');   
         $mt_social_trip_url = get_theme_mod( 'mt_social_trip_url');
		$mt_social_email_url = get_theme_mod( 'mt_social_email_url');			 
		
?>

<footer id="footer-var1">
  <div id="footer-content">
    <div class="container">
      <h3 class="footer-title alignc"><?php echo esc_html($mt_footer_title); ?></h3>
      <h5 class="footer-subtitle alignc"><?php echo esc_html($mt_footer_subtitle); ?></h5>
      <div class="row">
        <div class="col-md-12">
          <div id="evaluation-form-holder">
		  
		 <?php $mt_footer_contact_shortcode = get_theme_mod( 'mt_footer_contact_shortcode');

			if(empty($mt_footer_contact_shortcode)):
		 ?>
		 
		 <h4><em><?php esc_html_e("NOTE: Make sure the Contact Form 7 plugin is installed. Go to Apperance > Customizer > Footer > Contact Form - Shortcode option and paste the footer contact form 7 shortcode there", "lawyers")?></em></h4>
		 
		 <?php else: echo do_shortcode( html_entity_decode($mt_footer_contact_shortcode) ); ?>
          
         <?php endif; ?>
        
          </div>
          <!-- end evaluation-form-holder-->
   
        </div>
        <!--.col-md-12-->
      </div>
      <!--.row-->
  
      <ul class="footer-social alignc"> 
       <?php if (!empty($mt_social_facebook_url) ): ?>
            <li><a class="social-facebook" href="<?php echo esc_url($mt_social_facebook_url);?>" target="_blank"><i class="fab fa-facebook-f"></i></a></li>
            <?php endif; ?>
            <?php if (!empty($mt_social_twitter_url) ): ?>
            <li><a class="social-twitter" href="<?php echo esc_url($mt_social_twitter_url);?>" target="_blank"><i class="fab fa-twitter"></i></a></li>
            <?php endif; ?>
			<?php if (!empty($mt_social_instagram_url) ): ?>
            <li><a class="social-instagram" href="<?php echo esc_url($mt_social_instagram_url);?>" target="_blank"><i class="fab fa-instagram"></i></a></li>
            <?php endif; ?>
            <?php if (!empty($mt_social_pinterest_url) ): ?>
            <li><a class="social-pinterest" href="<?php echo esc_url($mt_social_pinterest_url);?>" target="_blank"><i class="fab fa-pinterest"></i></a></li>
            <?php endif; ?>
            <?php if (!empty($mt_social_trip_url) ): ?>
            <li><a class="social-tripadvisor" href="<?php echo esc_url($mt_social_trip_url);?>" target="_blank"><i class="fab fa-tripadvisor"></i></a></li>
            <?php endif; ?>
			<?php if (!empty($mt_social_linkedin_url) ): ?>
            <li><a class="social-linkedin" href="<?php echo esc_url($mt_social_linkedin_url);?>" target="_blank"><i class="fab fa-linkedin"></i></a></li>
            <?php endif; ?>
            <?php if (!empty($mt_social_youtube_url) ): ?>
            <li><a class="social-youtube" href="<?php echo esc_url($mt_social_youtube_url);?>" target="_blank"><i class="fab fa-youtube"></i></a></li>
            <?php endif; ?>
            <?php if (!empty($mt_social_vimeo_url) ): ?>
            <li><a class="social-vimeo" href="<?php echo esc_url($mt_social_vimeo_url);?>" target="_blank"><i class="fab fa-vimeo-square"></i></a></li>
            <?php endif; ?>
            <?php if (!empty($mt_social_dribbble_url) ): ?>
            <li><a class="social-dribbble" href="<?php echo esc_url($mt_social_dribbble_url);?>" target="_blank"><i class="fab fa-dribbble"></i></a></li>
            <?php endif; ?>
            <?php if (!empty($mt_social_skype_url) ): ?>
            <li><a class="social-skype" href="<?php echo esc_url($mt_social_skype_url);?>" target="_blank"><i class="fab fa-skype"></i></a></li>
            <?php endif; ?>
			<?php if (!empty($mt_social_email_url) ): ?>
		<li><a class="social-email" href="mailto:<?php echo wp_kses_post($mt_social_email_url);?>" target="_blank"><i class="far fa-envelope"></i></a></li>
		<?php endif; ?>
              
      </ul>
      <div class="foo-copyright alignc">
	  <span class="footer-year"><?php echo date_i18n(_x( 'Y', 'copyright date format', 'lawyers' )); ?></span>
	  <?php echo wp_kses_post($mt_footer_copy); ?>
	  </div>
    </div>
    <!--.container-->
  </div>
  <!-- end footer-content-->
</footer>