<?php $mt_sidebar_page = get_theme_mod( 'mt_sidebar_page', 'mt_sidebar_page_right'); ?>
<section id="wrap-content" class="blog-2col-grid">

 <div class="row layout-masonry">
   <?php 
      
      if (have_posts()) : while (have_posts()) : the_post(); 
      
      $classes_post = array('blog-item','blog-item-2col-grid');
      
     ?>
  
      <div class="col-md-6 blog-item-masonry">
         <article id="post-<?php the_ID(); ?>" <?php post_class($classes_post); ?> >
            <?php if ( has_post_thumbnail($post->ID ) ): ?>
            
				<a href="<?php the_permalink();?>">
               <div class="post-image">
			   
                  <?php if ( $mt_sidebar_page != 'mt_sidebar_page_no' ): ?>
                  <?php the_post_thumbnail('lawyers-gal-img', array('class'=> 'img-fluid img-featured', 'alt' => ''.get_the_title().'', 'title' => ''.get_the_title().'')); ?>
                  <?php else: ?>
                  <?php the_post_thumbnail('full', array('class'=> 'img-fluid img-featured', 'alt' => ''.get_the_title().'', 'title' => ''.get_the_title().'')); ?>
                  <?php endif; ?>
				  
               </div>
			   </a>			   
            
            <?php endif; ?>
            <div class="post-holder">
		         
      <ul class="blog-date">
<li class="meta-date"><?php echo get_the_date(get_option('date_format')); ?></li>
<li class="meta-categ"><?php the_category(' '); ?></li>
<?php if ( is_sticky() && is_home() ) : ?>
         <li class="meta-sticky"><?php esc_html_e('Featured', 'lawyers'); ?></li>
         <?php endif; ?>
</ul>

	<h2 class="blog-title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h2>
	  
      <div class="article-excerpt">
         <?php echo wp_trim_words( get_the_excerpt(), 25, ' ...' ); ?>
      </div>
            </div>
            <!--post-holder-->
         </article>
      </div>
     
   <?php endwhile; ?>
      
   <?php else: ?>
   <div class="row">
      <div class="col-md-12 alignc nothing-found">
         <h2><?php esc_html_e( 'NOTHING FOUND', 'lawyers' ); ?></h2>
         <div class="nf-text"><?php esc_html_e( 'Sorry, but it seems we can&rsquo;t find what you&rsquo;re looking for. Try a new search or the menu above.', 'lawyers' ); ?></div>
         <?php get_search_form(); ?>
      </div>
   </div>
   <?php endif; ?>
   
   </div><!-- row -->
   
   <?php
      if(function_exists('lawyers_pagenavi') ) : ?>
   <?php lawyers_pagenavi();  ?>
   <?php else : ?>
   <ul class="other-entries">
      <li class="newer-entries"><span><?php previous_posts_link(esc_html__('&larr; Prev', 'lawyers')) ?></span></li>
      <li class="older-entries"><span><?php next_posts_link(esc_html__('Next &rarr;', 'lawyers')) ?></span></li>
   </ul>
   <?php endif; ?>
   
   
</section>
<!--blog-2col-->