<?php 

	$mt_social_facebook_url = get_theme_mod( 'mt_social_facebook_url');
         $mt_social_twitter_url = get_theme_mod( 'mt_social_twitter_url');
         $mt_social_linkedin_url = get_theme_mod( 'mt_social_linkedin_url');
         $mt_social_pinterest_url = get_theme_mod( 'mt_social_pinterest_url');  
         $mt_social_youtube_url = get_theme_mod( 'mt_social_youtube_url'); 
         $mt_social_vimeo_url = get_theme_mod( 'mt_social_vimeo_url');
         $mt_social_instagram_url = get_theme_mod( 'mt_social_instagram_url');
         $mt_social_dribbble_url = get_theme_mod( 'mt_social_dribbble_url');  
         $mt_social_skype_url = get_theme_mod( 'mt_social_skype_url');   
         $mt_social_trip_url = get_theme_mod( 'mt_social_trip_url'); 
		 $mt_social_email_url = get_theme_mod( 'mt_social_email_url');	
	
	$mt_footer_copy = get_theme_mod( 'mt_footer_copy', '&copy; Lawyers. Designed by MatchThemes.'); 
		
?>

<footer id="footer-var2">
  <div id="footer-content">
    <div class="container">
	
	<?php if ( is_active_sidebar( 'footer-one' ) || is_active_sidebar( 'footer-two' ) ): ?>
	
     <div class="row">
     
     <div class="col-md-6">
	<div class="foo-block">
	<?php dynamic_sidebar('footer-one'); ?>
	</div><!-- /foo-block-->
	</div><!-- /col-md-6-->
    
    <div class="col-md-6">
	<div class="foo-block">
	<?php dynamic_sidebar('footer-two'); ?>
	</div><!-- /foo-block-->
	</div><!-- /col-md-6-->
 
     </div><!-- /row-->
  
	<?php endif; ?>
   
      <ul class="footer-social alignc"> 
         <?php if (!empty($mt_social_facebook_url) ): ?>
            <li><a class="social-facebook" href="<?php echo esc_url($mt_social_facebook_url);?>" target="_blank"><i class="fab fa-facebook-f"></i></a></li>
            <?php endif; ?>
            <?php if (!empty($mt_social_twitter_url) ): ?>
            <li><a class="social-twitter" href="<?php echo esc_url($mt_social_twitter_url);?>" target="_blank"><i class="fab fa-twitter"></i></a></li>
            <?php endif; ?>
			<?php if (!empty($mt_social_instagram_url) ): ?>
            <li><a class="social-instagram" href="<?php echo esc_url($mt_social_instagram_url);?>" target="_blank"><i class="fab fa-instagram"></i></a></li>
            <?php endif; ?>
            <?php if (!empty($mt_social_pinterest_url) ): ?>
            <li><a class="social-pinterest" href="<?php echo esc_url($mt_social_pinterest_url);?>" target="_blank"><i class="fab fa-pinterest"></i></a></li>
            <?php endif; ?>
            <?php if (!empty($mt_social_trip_url) ): ?>
            <li><a class="social-tripadvisor" href="<?php echo esc_url($mt_social_trip_url);?>" target="_blank"><i class="fab fa-tripadvisor"></i></a></li>
            <?php endif; ?>
			<?php if (!empty($mt_social_linkedin_url) ): ?>
            <li><a class="social-linkedin" href="<?php echo esc_url($mt_social_linkedin_url);?>" target="_blank"><i class="fab fa-linkedin"></i></a></li>
            <?php endif; ?>
            <?php if (!empty($mt_social_youtube_url) ): ?>
            <li><a class="social-youtube" href="<?php echo esc_url($mt_social_youtube_url);?>" target="_blank"><i class="fab fa-youtube"></i></a></li>
            <?php endif; ?>
            <?php if (!empty($mt_social_vimeo_url) ): ?>
            <li><a class="social-vimeo" href="<?php echo esc_url($mt_social_vimeo_url);?>" target="_blank"><i class="fab fa-vimeo-square"></i></a></li>
            <?php endif; ?>
            <?php if (!empty($mt_social_dribbble_url) ): ?>
            <li><a class="social-dribbble" href="<?php echo esc_url($mt_social_dribbble_url);?>" target="_blank"><i class="fab fa-dribbble"></i></a></li>
            <?php endif; ?>
            <?php if (!empty($mt_social_skype_url) ): ?>
            <li><a class="social-skype" href="<?php echo esc_url($mt_social_skype_url);?>" target="_blank"><i class="fab fa-skype"></i></a></li>
            <?php endif; ?>
              <?php if (!empty($mt_social_email_url) ): ?>
		<li><a class="social-email" href="mailto:<?php echo wp_kses_post($mt_social_email_url);?>" target="_blank"><i class="far fa-envelope"></i></a></li>
		<?php endif; ?>
      </ul>
      <div class="foo-copyright alignc">
	  <span class="footer-year"><?php echo date_i18n(_x( 'Y', 'copyright date format', 'lawyers' )); ?></span>
	  <?php echo wp_kses_post($mt_footer_copy); ?>
	  </div>
    </div>
    <!--.container-->
  </div>
  <!-- end footer-content-->
</footer>