<?php 

add_action( 'wp_enqueue_scripts', 'lawyers_menu_sticky', 99 );

function lawyers_menu_sticky() {
	
	$match_header_fixed = get_theme_mod( 'match_header_fixed', 'off');
	
	if($match_header_fixed == 'on'):
	
   $custom_js2 = "";
   
   $custom_js2 = "(function($) {
    'use strict';
	
	$(window).on('scroll', function() {
  if ($(document).scrollTop() > 1 ) {
    $('#header-bar').addClass('nav-fixed-top');
	} else {
    $('#header-bar').removeClass('nav-fixed-top');
  }
  
  });
  
	})(jQuery);";
   
   wp_add_inline_script( 'lawyers-init', $custom_js2 );
	
	endif;

}