<?php get_header(); ?>
<?php if( get_option('show_on_front') == 'page') :

$mt_page_title = get_post_meta(get_option('page_for_posts'), "mt_page_title", true);
$mt_page_tagline = get_post_meta(get_option('page_for_posts'), "mt_page_tagline", true);

$image = wp_get_attachment_image_src( get_post_thumbnail_id( get_option('page_for_posts') ), 'full' );
   
 ?>

<div class="page-head <?php if(empty($image)):?> topnoimg <?php endif;?>" <?php if(!empty($image)):?> style="background-image:url('<?php echo esc_url($image[0]); ?>');" <?php endif;?>>

<div class="inner-desc">
		<div class="container">
		<?php if(!empty($mt_page_title)): ?>
		<h1 class="page-title"><?php echo esc_html($mt_page_title) ;?></h1>
		  <?php else: ?>
		 <h1 class="page-title"><?php echo get_the_title(get_option('page_for_posts')); ?></h1>
		<?php endif; ?>
		<?php if(!empty($mt_page_tagline)): ?>
		<span class="post-subtitle page-subtitle"> <?php echo esc_html($mt_page_tagline); ?></span>
        <?php endif; ?>
		</div>
	</div>

</div><!--.page-head-->

<?php else : ?>
<div class="margin108"></div>

<?php endif; ?>

<?php $mt_sidebar_page = get_theme_mod( 'mt_sidebar_page', 'mt_sidebar_page_right'); ?>

<div class="container blog-holder">
<div class="row">
	<?php if ( is_active_sidebar( 'sidebar-1' ) && ( $mt_sidebar_page != 'mt_sidebar_page_no' ) ): ?>
	<div class="col-lg-9 <?php if ( $mt_sidebar_page == 'mt_sidebar_page_left' ): ?> posts-holder-push-right <?php else: ?> posts-holder post-sidebar <?php endif; ?>">
		<?php else: ?>
		<div class="col-lg-12 posts-fullwidth">
			<?php endif; ?>
			<?php
				$match_home_articles_layout = get_theme_mod( 'match_home_articles_layout', 'match_home_articles_layout_1col');
				
					switch ($match_home_articles_layout) {
					
					case 'match_home_articles_layout_1col':
				        get_template_part('include/assets/layouts/layout', '1col');
				        break;
					case 'match_home_articles_layout_2col_grid':
				        get_template_part('include/assets/layouts/layout', '2col_grid');
				        break;
					case 'match_home_articles_layout_3col_grid':
				        get_template_part('include/assets/layouts/layout', '3col_grid');
				        break;	
					case 'match_home_articles_layout_1col_list_left':
				        get_template_part('include/assets/layouts/layout', '1col_list_left');
				        break;			
							
						
					default:
				         get_template_part('include/assets/layouts/layout', '1col');
				}
				
				?>
		</div>
		<?php  if ( $mt_sidebar_page != 'mt_sidebar_page_no' ):  ?>
		<?php get_sidebar(); ?>
		<?php endif; ?>
	</div>
	<!--row-->
</div>
<!--container-->
<?php get_footer(); ?>