<?php
/*
 
 Template Name: FullScreen
 
 */

get_header(); ?>

<?php

$mt_page_title = get_post_meta($post->ID, "mt_page_title", true);
$mt_page_tagline = get_post_meta($post->ID, "mt_page_tagline", true);

$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
?>
 
 <div class="page-head <?php if(empty($image)):?> topnoimg <?php endif;?>" <?php if(!empty($image)):?> style="background-image:url('<?php echo esc_url($image[0]); ?>');" <?php endif;?>>
	
	<div class="inner-desc">
		<div class="container">
		<?php if(!empty($mt_page_title)): ?>
		<h1 class="page-title"><?php echo esc_html($mt_page_title) ;?></h1>
		  <?php else: ?>
		 <h1 class="page-title"><?php the_title();?></h1>
		<?php endif; ?>
		<?php if(!empty($mt_page_tagline)): ?>
		<span class="post-subtitle page-subtitle"> <?php echo esc_html($mt_page_tagline); ?></span>
        <?php endif; ?>
		</div>
	</div>
	
</div> 

<div class="page-content">

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<div id="post-<?php the_ID(); ?>" class="page-holder custom-page-template page-full fullscreen-page clearfix">

<?php the_content(); ?>

</div>
<?php  endwhile;

else: ?>

<p class="alignc"><?php esc_html_e( 'Sorry, but it seems we can&rsquo;t find what you&rsquo;re looking for. Try the menu above.', 'lawyers' ); ?></p>

<?php endif; ?>

</div>

<?php get_footer(); ?>