<?php get_header(); ?>

<?php

$mt_page_title = get_post_meta($post->ID, "mt_page_title", true);
$mt_page_tagline = get_post_meta($post->ID, "mt_page_tagline", true);

$image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );

$mt_sidebar_page = get_theme_mod( 'mt_sidebar_page', 'mt_sidebar_page_right');

if(empty($mt_sidebar_page)) { $mt_sidebar_page = 'mt_sidebar_page_right'; }  
   
  ?>
  
 <div class="page-head <?php if(empty($image)):?> topnoimg <?php endif;?>" <?php if(!empty($image)):?> style="background-image:url('<?php echo esc_url($image[0]); ?>');" <?php endif;?>>
	
	<div class="inner-desc">
		<div class="container">
		<?php if(!empty($mt_page_title)): ?>
		<h1 class="page-title"><?php echo esc_html($mt_page_title) ;?></h1>
		  <?php else: ?>
		 <h1 class="page-title"><?php the_title();?></h1>
		<?php endif; ?>
		<?php if(!empty($mt_page_tagline)): ?>
		<span class="post-subtitle page-subtitle"> <?php echo esc_html($mt_page_tagline); ?></span>
        <?php endif; ?>
		</div>
	</div>
	
</div> 

<section class="page-content">

<div class="container">

<div class="row">

<?php if ( $mt_sidebar_page == 'mt_sidebar_page_left' ) get_sidebar(); ?>

<?php if ( is_active_sidebar( 'sidebar-1' )): ?>

<div class="col-md-9 content-holder custom-page-template post-content clearfix">

<?php else: ?>

<div class="col-md-12 content-holder custom-page-template post-content page-full clearfix">

<?php endif; ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<?php the_content(); ?>

<?php  endwhile; endif; ?>

<?php // If comments are open or we have at least one comment, load up the comment template.
	  if ( comments_open() || get_comments_number() ) :
	
			comments_template();
	
	 endif; ?>


</div><!--.col-md-9-->

<?php if ( is_active_sidebar( 'sidebar-1' )): 

if ( $mt_sidebar_page == 'mt_sidebar_page_right' ) { get_sidebar(); }

endif; ?>

</div><!--.row-->

</div><!--.container-->

</section><!--.page-content-->

<?php get_footer(); ?>